DeluxHostAPI Reference
Account SSH keys

Add an SSH key

POST
/v1/ssh-keys

Authorization

apiToken ssh-keys:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: ssh-keys:write

Request Body

application/json
  1. body
name?string
publicKey*string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
id*number
name*string
keyType*string
fingerprint*string
publicKey*string
createdAt*string
Formatdate-time
lastUsedAt*null|
curl -X POST 'https://api.deluxhost.net/v1/ssh-keys' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "publicKey": "string"}'
Example Response
{  "id": 0,  "name": "string",  "keyType": "string",  "fingerprint": "string",  "publicKey": "string",  "createdAt": "2019-08-24T14:15:22Z",  "lastUsedAt": null}